All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
MaximumError
Statistical Functions

Primitives for computing the maximum error between two signals. More...

## Functions

NppStatus | nppsMaximumError_8u_Ctx (const Npp8u *pSrc1, const Npp8u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 8-bit unsigned char maximum method. More...
NppStatus | nppsMaximumError_8u (const Npp8u *pSrc1, const Npp8u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumError_8s_Ctx (const Npp8s *pSrc1, const Npp8s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 8-bit signed char maximum method. More...
NppStatus | nppsMaximumError_8s (const Npp8s *pSrc1, const Npp8s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumError_16u_Ctx (const Npp16u *pSrc1, const Npp16u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit unsigned short integer maximum method. More...
NppStatus | nppsMaximumError_16u (const Npp16u *pSrc1, const Npp16u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumError_16s_Ctx (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit signed short integer maximum method. More...
NppStatus | nppsMaximumError_16s (const Npp16s *pSrc1, const Npp16s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumError_16sc_Ctx (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 16-bit unsigned short complex integer maximum method. More...
NppStatus | nppsMaximumError_16sc (const Npp16sc *pSrc1, const Npp16sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumError_32u_Ctx (const Npp32u *pSrc1, const Npp32u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit unsigned short integer maximum method. More...
NppStatus | nppsMaximumError_32u (const Npp32u *pSrc1, const Npp32u *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumError_32s_Ctx (const Npp32s *pSrc1, const Npp32s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit signed short integer maximum method. More...
NppStatus | nppsMaximumError_32s (const Npp32s *pSrc1, const Npp32s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumError_32sc_Ctx (const Npp32sc *pSrc1, const Npp32sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit unsigned short complex integer maximum method. More...
NppStatus | nppsMaximumError_32sc (const Npp32sc *pSrc1, const Npp32sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumError_64s_Ctx (const Npp64s *pSrc1, const Npp64s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit signed short integer maximum method. More...
NppStatus | nppsMaximumError_64s (const Npp64s *pSrc1, const Npp64s *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumError_64sc_Ctx (const Npp64sc *pSrc1, const Npp64sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit unsigned short complex integer maximum method. More...
NppStatus | nppsMaximumError_64sc (const Npp64sc *pSrc1, const Npp64sc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumError_32f_Ctx (const Npp32f *pSrc1, const Npp32f *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit floating point maximum method. More...
NppStatus | nppsMaximumError_32f (const Npp32f *pSrc1, const Npp32f *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumError_32fc_Ctx (const Npp32fc *pSrc1, const Npp32fc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 32-bit floating point complex maximum method. More...
NppStatus | nppsMaximumError_32fc (const Npp32fc *pSrc1, const Npp32fc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumError_64f_Ctx (const Npp64f *pSrc1, const Npp64f *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit floating point maximum method. More...
NppStatus | nppsMaximumError_64f (const Npp64f *pSrc1, const Npp64f *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumError_64fc_Ctx (const Npp64fc *pSrc1, const Npp64fc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer, NppStreamContext nppStreamCtx)
| 64-bit floating point complex maximum method. More...
NppStatus | nppsMaximumError_64fc (const Npp64fc *pSrc1, const Npp64fc *pSrc2, int nLength, Npp64f *pDst, Npp8u *pDeviceBuffer)
NppStatus | nppsMaximumErrorGetBufferSize_8u_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_8u. More...
NppStatus | nppsMaximumErrorGetBufferSize_8u (int nLength, int *hpBufferSize)
NppStatus | nppsMaximumErrorGetBufferSize_8s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_8s. More...
NppStatus | nppsMaximumErrorGetBufferSize_8s (int nLength, int *hpBufferSize)
NppStatus | nppsMaximumErrorGetBufferSize_16u_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_16u. More...
NppStatus | nppsMaximumErrorGetBufferSize_16u (int nLength, int *hpBufferSize)
NppStatus | nppsMaximumErrorGetBufferSize_16s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_16s. More...
NppStatus | nppsMaximumErrorGetBufferSize_16s (int nLength, int *hpBufferSize)
NppStatus | nppsMaximumErrorGetBufferSize_16sc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_16sc. More...
NppStatus | nppsMaximumErrorGetBufferSize_16sc (int nLength, int *hpBufferSize)
NppStatus | nppsMaximumErrorGetBufferSize_32u_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_32u. More...
NppStatus | nppsMaximumErrorGetBufferSize_32u (int nLength, int *hpBufferSize)
NppStatus | nppsMaximumErrorGetBufferSize_32s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_32s. More...
NppStatus | nppsMaximumErrorGetBufferSize_32s (int nLength, int *hpBufferSize)
NppStatus | nppsMaximumErrorGetBufferSize_32sc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_32sc. More...
NppStatus | nppsMaximumErrorGetBufferSize_32sc (int nLength, int *hpBufferSize)
NppStatus | nppsMaximumErrorGetBufferSize_64s_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_64s. More...
NppStatus | nppsMaximumErrorGetBufferSize_64s (int nLength, int *hpBufferSize)
NppStatus | nppsMaximumErrorGetBufferSize_64sc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_64sc. More...
NppStatus | nppsMaximumErrorGetBufferSize_64sc (int nLength, int *hpBufferSize)
NppStatus | nppsMaximumErrorGetBufferSize_32f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_32f. More...
NppStatus | nppsMaximumErrorGetBufferSize_32f (int nLength, int *hpBufferSize)
NppStatus | nppsMaximumErrorGetBufferSize_32fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_32fc. More...
NppStatus | nppsMaximumErrorGetBufferSize_32fc (int nLength, int *hpBufferSize)
NppStatus | nppsMaximumErrorGetBufferSize_64f_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_64f. More...
NppStatus | nppsMaximumErrorGetBufferSize_64f (int nLength, int *hpBufferSize)
NppStatus | nppsMaximumErrorGetBufferSize_64fc_Ctx (int nLength, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Device-buffer size (in bytes) for nppsMaximumError_64fc. More...
NppStatus | nppsMaximumErrorGetBufferSize_64fc (int nLength, int *hpBufferSize)

## Detailed Description

Primitives for computing the maximum error between two signals.

Given two signals and both with length , the maximum error is defined as the largest absolute difference between the corresponding elements of two signals.

If the signal is in complex format, the absolute value of the complex number is used.

## Function Documentation

NppStatus nppsMaximumError_16s | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_16s_Ctx | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit signed short integer maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_16s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumError_16sc | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_16sc_Ctx | ( | const Npp16sc * | pSrc1,
|  | const Npp16sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short complex integer maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_16sc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumError_16u | ( | const Npp16u * | pSrc1,
|  | const Npp16u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_16u_Ctx | ( | const Npp16u * | pSrc1,
|  | const Npp16u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

16-bit unsigned short integer maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_16u to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumError_32f | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_32f_Ctx | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_32f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumError_32fc | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_32fc_Ctx | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit floating point complex maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_32fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumError_32s | ( | const Npp32s * | pSrc1,
|  | const Npp32s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_32s_Ctx | ( | const Npp32s * | pSrc1,
|  | const Npp32s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit signed short integer maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_32s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumError_32sc | ( | const Npp32sc * | pSrc1,
|  | const Npp32sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_32sc_Ctx | ( | const Npp32sc * | pSrc1,
|  | const Npp32sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit unsigned short complex integer maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_32sc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumError_32u | ( | const Npp32u * | pSrc1,
|  | const Npp32u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_32u_Ctx | ( | const Npp32u * | pSrc1,
|  | const Npp32u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

32-bit unsigned short integer maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_32u to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumError_64f | ( | const Npp64f * | pSrc1,
|  | const Npp64f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_64f_Ctx | ( | const Npp64f * | pSrc1,
|  | const Npp64f * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_64f to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumError_64fc | ( | const Npp64fc * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_64fc_Ctx | ( | const Npp64fc * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit floating point complex maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_64fc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumError_64s | ( | const Npp64s * | pSrc1,
|  | const Npp64s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_64s_Ctx | ( | const Npp64s * | pSrc1,
|  | const Npp64s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit signed short integer maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_64s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumError_64sc | ( | const Npp64sc * | pSrc1,
|  | const Npp64sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_64sc_Ctx | ( | const Npp64sc * | pSrc1,
|  | const Npp64sc * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

64-bit unsigned short complex integer maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_64sc to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumError_8s | ( | const Npp8s * | pSrc1,
|  | const Npp8s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_8s_Ctx | ( | const Npp8s * | pSrc1,
|  | const Npp8s * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit signed char maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_8s to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumError_8u | ( | const Npp8u * | pSrc1,
|  | const Npp8u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer
| ) |  |

NppStatus nppsMaximumError_8u_Ctx | ( | const Npp8u * | pSrc1,
|  | const Npp8u * | pSrc2,
|  | int | nLength,
|  | Npp64f * | pDst,
|  | Npp8u * | pDeviceBuffer,
|  | NppStreamContext | nppStreamCtx
| ) |  |

8-bit unsigned char maximum method.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  nLength | Signal Length.
  pDst | Pointer to the error result.
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppsMaximumErrorGetBufferSize_8u to determine the minium number of bytes required.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsMaximumErrorGetBufferSize_16s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_16s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_16s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumErrorGetBufferSize_16sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_16sc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_16sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumErrorGetBufferSize_16u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_16u_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_16u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumErrorGetBufferSize_32f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_32f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_32f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumErrorGetBufferSize_32fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_32fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_32fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumErrorGetBufferSize_32s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_32s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_32s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumErrorGetBufferSize_32sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_32sc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_32sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumErrorGetBufferSize_32u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_32u_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_32u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumErrorGetBufferSize_64f | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_64f_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_64f.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumErrorGetBufferSize_64fc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_64fc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_64fc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumErrorGetBufferSize_64s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_64s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_64s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumErrorGetBufferSize_64sc | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_64sc_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_64sc.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumErrorGetBufferSize_8s | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_8s_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_8s.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

NppStatus nppsMaximumErrorGetBufferSize_8u | ( | int | nLength,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppsMaximumErrorGetBufferSize_8u_Ctx | ( | int | nLength,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Device-buffer size (in bytes) for nppsMaximumError_8u.

Parameters

  nLength | Signal Length.
  hpBufferSize | Required buffer size. Important: hpBufferSize is a host pointer.
  nppStreamCtx | Application Managed Stream Context.

Returns
  NPP_SUCCESS

Copyright © 2009-2020 NVIDIA Corporation